/*=============================================================================
 Codigo escrito por Fernando Escutia Rodriguez
 ============================================================================*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>
#include <SDL/SDL_image.h>

Uint32 ini_milisegundos, fin_milisegundos, frametime;

void ResetTimeBase() {
ini_milisegundos=SDL_GetTicks();
}

int CurrentTime() {

	fin_milisegundos=SDL_GetTicks();
	return fin_milisegundos-ini_milisegundos;
}

int main(int argc, char *argv[]){
	SDL_Surface *screen, *image;
	SDL_Event event;
	SDL_Rect img;
	Mix_Chunk *ani, *baba, *ecx, *fata, *fini, *its, *toast, *well;
	int canal1, canal2, canal3, canal4, canal5, canal6, canal7, canal8;
	int done = 0;
	
	if (SDL_Init(SDL_INIT_VIDEO|SDL_INIT_AUDIO) < 0) {
		printf("No se pudo iniciar SDL: %s\n", SDL_GetError());
		exit(1);
	}
	
	screen = SDL_SetVideoMode(400, 200, 24, SDL_HWSURFACE|SDL_DOUBLEBUF);
	if (screen == NULL){
		printf("No se puede iniciar el modo grafico: %s\n", SDL_GetError());
		exit(1);
	}
	
	if (Mix_OpenAudio(44100,AUDIO_S16SYS,2,4096) < 0){
		printf("No se puede iniciar el audio: %s\n", Mix_GetError());
		exit(1);
	}
	atexit(Mix_CloseAudio);
	
	SDL_WM_SetCaption("Teclado-MK sound test", NULL);
	
	ani = Mix_LoadWAV("sounds/animalaty.wav");
	baba = Mix_LoadWAV("sounds/babality.wav");
	ecx = Mix_LoadWAV("sounds/ecxelen.wav");
	fata = Mix_LoadWAV("sounds/fatality.wav");
	fini = Mix_LoadWAV("sounds/finish_him.wav");
	its = Mix_LoadWAV("sounds/its_that_your_best.wav");
	toast = Mix_LoadWAV("sounds/toasty.wav");
	well = Mix_LoadWAV("sounds/Well_done.wav");
	
	image = IMG_Load("teclado.bmp");
	img.x = 0;
	img.y = 0;
	img.w = image->w;
	img.h = image->h;
	
	while (done == 0){
		SDL_BlitSurface(image, NULL, screen, &img);
		SDL_Flip(screen);
		
		while (SDL_PollEvent(&event)){
						 if (event.type == SDL_QUIT){done = 1;}
						 if (event.type == SDL_KEYDOWN){
							 if (event.key.keysym.sym == SDLK_ESCAPE){done = 1;}
							 if (event.key.keysym.sym == SDLK_F1){Mix_PlayChannel(-1, ani, 0);}
							 if (event.key.keysym.sym == SDLK_F2){Mix_PlayChannel(-1, baba, 0);}
							 if (event.key.keysym.sym == SDLK_F3){Mix_PlayChannel(-1, ecx, 0);}
							 if (event.key.keysym.sym == SDLK_F4){Mix_PlayChannel(-1, fata, 0);}
							 if (event.key.keysym.sym == SDLK_F5){Mix_PlayChannel(-1, fini, 0);}
							 if (event.key.keysym.sym == SDLK_F6){Mix_PlayChannel(-1, its, 0);}
							 if (event.key.keysym.sym == SDLK_F7){Mix_PlayChannel(-1, toast, 0);}
							 if (event.key.keysym.sym == SDLK_F8){Mix_PlayChannel(-1, well, 0);}							 
						 }
					 }
				 }
		Mix_FreeChunk(ani);
		Mix_FreeChunk(baba);
		Mix_FreeChunk(ecx);
		Mix_FreeChunk(fata);
		Mix_FreeChunk(fini);
		Mix_FreeChunk(its);
		Mix_FreeChunk(toast);
		Mix_FreeChunk(well);
		
		SDL_FreeSurface(image);
		
		return 0;
	}